Index: /code/branches/network/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- /code/branches/network/src/orxonox/OrxonoxPrereqs.h	(revision 1409)
+++ /code/branches/network/src/orxonox/OrxonoxPrereqs.h	(revision 1410)
@@ -95,5 +95,10 @@
 
   // hud
+  class BarOverlayElement;
   class HUD;
+  class Navigation;
+  class RadarObject;
+  class RadarOverlayElement;
+
   //console
   class InGameConsole;
Index: /code/branches/network/src/orxonox/hud/BarOverlayElement.cc
===================================================================
--- /code/branches/network/src/orxonox/hud/BarOverlayElement.cc	(revision 1409)
+++ /code/branches/network/src/orxonox/hud/BarOverlayElement.cc	(revision 1410)
@@ -27,11 +27,12 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "BarOverlayElement.h"
+
 #include <OgreOverlayManager.h>
 #include "GraphicsEngine.h"
-#include "BarOverlayElement.h"
 
 namespace orxonox
 {
-  using namespace Ogre;
+    using namespace Ogre;
 
     BarOverlayElement::BarOverlayElement(const String& name):PanelOverlayElement(name){
@@ -125,5 +126,2 @@
     }
 }
-
-
-
Index: /code/branches/network/src/orxonox/hud/BarOverlayElement.h
===================================================================
--- /code/branches/network/src/orxonox/hud/BarOverlayElement.h	(revision 1409)
+++ /code/branches/network/src/orxonox/hud/BarOverlayElement.h	(revision 1410)
@@ -27,11 +27,11 @@
 
 
-#ifndef _BAR_H__
-#define _BAR_H__
+#ifndef _BarOverlayElement_H__
+#define _BarOverlayElement_H__
 
+#include "OrxonoxPrereqs.h"
 
+#include <OgrePrerequisites.h>
 #include <OgrePanelOverlayElement.h>
-#include <OgrePrerequisites.h>
-#include "../OrxonoxPrereqs.h"
 
 namespace orxonox
@@ -40,37 +40,36 @@
   {
     private:
-        bool autoColor_;                    // whether bar changes color automatically
-        float value_;                       // progress of bar
-        int color_;
-        int left_;
-        int top_;
-        int width_;
-        int height_;
-        int windowW_, windowH_;
-        Ogre::Real leftRel_;
-        Ogre::Real topRel_;
-        Ogre::Real dimRel_;
-        Ogre::OverlayManager* om;           // our overlay manager
-        Ogre::OverlayContainer* container_; // our parent container to attach to
-        Ogre::OverlayContainer* background_;
-        Ogre::String name_;
+      bool autoColor_;                    // whether bar changes color automatically
+      float value_;                       // progress of bar
+      int color_;
+      int left_;
+      int top_;
+      int width_;
+      int height_;
+      int windowW_, windowH_;
+      Ogre::Real leftRel_;
+      Ogre::Real topRel_;
+      Ogre::Real dimRel_;
+      Ogre::OverlayManager* om;           // our overlay manager
+      Ogre::OverlayContainer* container_; // our parent container to attach to
+      Ogre::OverlayContainer* background_;
+      Ogre::String name_;
 
     public:
-        bool left2Right;
-        static const int RED = 0;           // predefined colors
-        static const int YELLOW = 1;
-        static const int GREEN = 2;
+      bool left2Right;
+      static const int RED = 0;           // predefined colors
+      static const int YELLOW = 1;
+      static const int GREEN = 2;
 
-        BarOverlayElement(const Ogre::String& name);
-        virtual ~BarOverlayElement();
-        void init(Real leftRel, Real topRel, Real dimRel, Ogre::OverlayContainer* container);
-        void resize();
-        void setValue(float value);
-        void setColor(int color);
-        float getValue();
-        int getBarColor();
+      BarOverlayElement(const Ogre::String& name);
+      virtual ~BarOverlayElement();
+      void init(Real leftRel, Real topRel, Real dimRel, Ogre::OverlayContainer* container);
+      void resize();
+      void setValue(float value);
+      void setColor(int color);
+      float getValue();
+      int getBarColor();
     };
 }
-#endif
 
-
+#endif /* _BarOverlayElement_H__ */
Index: /code/branches/network/src/orxonox/hud/HUD.cc
===================================================================
--- /code/branches/network/src/orxonox/hud/HUD.cc	(revision 1409)
+++ /code/branches/network/src/orxonox/hud/HUD.cc	(revision 1410)
@@ -26,6 +26,8 @@
 */
 
-#include <string.h>
 #include "OrxonoxStableHeaders.h"
+#include "HUD.h"
+
+#include <string>
 #include <OgreOverlay.h>
 #include <OgreOverlayContainer.h>
@@ -37,7 +39,8 @@
 #include "objects/SpaceShip.h"
 #include "BarOverlayElement.h"
+#include "RadarObject.h"
 #include "RadarOverlayElement.h"
+#include "Navigation.h"
 #include "OverlayElementFactories.h"
-#include "HUD.h"
 
 namespace orxonox
@@ -52,5 +55,5 @@
         lastRadarObject = NULL;
 
-		// create Factories
+        // create Factories
         BarOverlayElementFactory *barOverlayElementFactory = new BarOverlayElementFactory();
         om->addOverlayElementFactory(barOverlayElementFactory);
@@ -84,5 +87,5 @@
         nav = new Navigation(container);
 
-		// set up screen-wide container
+        // set up screen-wide container
         container->show();
 
@@ -144,18 +147,18 @@
     }
 
-    /*static*/HUD& HUD::getSingleton(){
+    /*static*/ HUD& HUD::getSingleton(){
         static HUD theInstance;
         return theInstance;
     }
 
-    /*static*/void HUD::setFPS(float fps){
+    /*static*/ void HUD::setFPS(float fps){
         HUD::getSingleton().fpsText->setCaption("FPS: " + Ogre::StringConverter::toString(fps));
     }
 
-    /*static*/void HUD::setEnergy(float value){
+    /*static*/ void HUD::setEnergy(float value){
         HUD::getSingleton().energyBar->setValue(value);
     }
 
-    /*static*/void HUD::cycleNavigationFocus(){
+    /*static*/ void HUD::cycleNavigationFocus(){
         HUD::getSingleton().nav->cycleFocus();
     }
Index: /code/branches/network/src/orxonox/hud/HUD.h
===================================================================
--- /code/branches/network/src/orxonox/hud/HUD.h	(revision 1409)
+++ /code/branches/network/src/orxonox/hud/HUD.h	(revision 1410)
@@ -30,13 +30,10 @@
 #define _HUD_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <OgrePrerequisites.h>
 #include <OgreTextAreaOverlayElement.h>
-#include "OrxonoxPrereqs.h"
 #include "core/Tickable.h"
-#include "BarOverlayElement.h"
-#include "RadarOverlayElement.h"
-#include "Navigation.h"
-#include "RadarObject.h"
-
+#include "util/Math.h"
 
 namespace orxonox
@@ -44,31 +41,31 @@
     class _OrxonoxExport HUD : public Tickable
     {
-        private:
-            HUD();
-            HUD(HUD& instance);
-            ~HUD();
-            Ogre::OverlayManager* om;
-            Ogre::Overlay* orxonoxHUD;
-            Ogre::OverlayContainer* container;
-            Ogre::TextAreaOverlayElement* fpsText;
-            BarOverlayElement* energyBar;
-            BarOverlayElement* speedoBar;
-            RadarOverlayElement* radar;
-            RadarObject* firstRadarObject;
-            RadarObject* lastRadarObject;
-            Navigation* nav;
+      private:
+        HUD();
+        HUD(HUD& instance);
+        ~HUD();
+        Ogre::OverlayManager* om;
+        Ogre::Overlay* orxonoxHUD;
+        Ogre::OverlayContainer* container;
+        Ogre::TextAreaOverlayElement* fpsText;
+        BarOverlayElement* energyBar;
+        BarOverlayElement* speedoBar;
+        RadarOverlayElement* radar;
+        RadarObject* firstRadarObject;
+        RadarObject* lastRadarObject;
+        Navigation* nav;
 
-        public:
-            virtual void tick(float);
-            void addRadarObject(Vector3 pos);
-            RadarObject* getFirstRadarObject();
+      public:
+        virtual void tick(float);
+        void addRadarObject(Vector3 pos);
+        RadarObject* getFirstRadarObject();
 
-            static HUD* instance_s;
-            static HUD& getSingleton();
-            static void setFPS(float fps);
-            static void setEnergy(float value);
-            static void cycleNavigationFocus();
+        static HUD* instance_s;
+        static HUD& getSingleton();
+        static void setFPS(float fps);
+        static void setEnergy(float value);
+        static void cycleNavigationFocus();
     };
 }
 
-#endif
+#endif /* _HUD_H__ */
Index: /code/branches/network/src/orxonox/hud/Navigation.cc
===================================================================
--- /code/branches/network/src/orxonox/hud/Navigation.cc	(revision 1409)
+++ /code/branches/network/src/orxonox/hud/Navigation.cc	(revision 1410)
@@ -26,13 +26,17 @@
 */
 
+#include "OrxonoxStableHeaders.h"
+#include "Navigation.h"
+
 #include <OgreOverlayManager.h>
-#include <OgrePanelOverlayElement.h>
-#include <OgreTextAreaOverlayElement.h>
 #include <OgreStringConverter.h>
-#include <GraphicsEngine.h>
+
+#include "GraphicsEngine.h"
+// TODO: remove the SpaceShip and CameraHandler dependencies
 #include "objects/SpaceShip.h"
 #include "objects/CameraHandler.h"
+#include "RadarObject.h"
+#include "RadarOverlayElement.h"
 #include "HUD.h"
-#include "Navigation.h"
 
 namespace orxonox
@@ -53,6 +57,6 @@
 
     void Navigation::init(){
-		om = &OverlayManager::getSingleton();
-		navCam_ = NULL;
+        om = &OverlayManager::getSingleton();
+        navCam_ = NULL;
         // create nav text
         navText_ = static_cast<TextAreaOverlayElement*>(om->createOverlayElement("TextArea", "navText"));
@@ -73,11 +77,11 @@
         navText_->hide();
         container_->addChild(navMarker_);
-	}
-
-	void Navigation::update(){
+    }
+
+    void Navigation::update(){
         if(focus_ == NULL) return;
         navCamPos_ = SpaceShip::getLocalShip()->getPosition();
         currentDir_ = SpaceShip::getLocalShip()->getDir();
-		currentOrth_ = SpaceShip::getLocalShip()->getOrth();
+        currentOrth_ = SpaceShip::getLocalShip()->getOrth();
 
         windowW_ = GraphicsEngine::getSingleton().getWindowWidth();
@@ -168,10 +172,10 @@
             navText_->setPosition(xPos+navMarker_->getWidth()/2, yPos+navMarker_->getHeight()/2);
         }
-	}
+    }
 
     void Navigation::cycleFocus(){
-	    if(focus_ == NULL){
+        if(focus_ == NULL){
             focus_ = HUD::getSingleton().getFirstRadarObject();
-	    }
+        }
         else{
             focus_->panel_->setMaterialName("Orxonox/RedDot");
@@ -188,9 +192,9 @@
             focus_->panel_->setMaterialName("Orxonox/WhiteDot");
         }
-	}
-
-	float Navigation::getDist2Focus(){
-	    if(focus_ == NULL) return(0.0);
-	    return((focus_->pos_-SpaceShip::getLocalShip()->getPosition()).length());
-	}
+    }
+
+    float Navigation::getDist2Focus(){
+        if(focus_ == NULL) return(0.0);
+        return((focus_->pos_-SpaceShip::getLocalShip()->getPosition()).length());
+    }
 }
Index: /code/branches/network/src/orxonox/hud/Navigation.h
===================================================================
--- /code/branches/network/src/orxonox/hud/Navigation.h	(revision 1409)
+++ /code/branches/network/src/orxonox/hud/Navigation.h	(revision 1410)
@@ -26,41 +26,43 @@
 */
 
-#ifndef _NAVIGATION_H__
-#define _NAVIGATION_H__
+#ifndef _Navigation_H__
+#define _Navigation_H__
+
+#include "OrxonoxPrereqs.h"
 
 #include <OgrePrerequisites.h>
-#include "../OrxonoxPrereqs.h"
-#include <OgrePlane.h>
+#include <OgreTextAreaOverlayElement.h>
+#include <OgrePanelOverlayElement.h>
 #include "util/Math.h"
-#include "RadarObject.h"
 
 namespace orxonox
 {
+
     class _OrxonoxExport Navigation
     {
-    	private:
-    		Ogre::OverlayManager* om;				    // our one and only overlay manager
-            Ogre::OverlayContainer* container_;
-            Ogre::PanelOverlayElement* navMarker_;      // the panel used to show the arrow
-            Ogre::TextAreaOverlayElement* navText_;     // displaying distance
-            Ogre::Camera* navCam_;
-    		Vector3 navCamPos_;                            // position of ship
-    		Vector3 currentDir_;
-            Vector3 currentOrth_;
-    		int windowW_, windowH_;
-    		void init();
-    		void updateMarker();
+      private:
+        Ogre::OverlayManager* om;				            // our one and only overlay manager
+        Ogre::OverlayContainer* container_;
+        Ogre::PanelOverlayElement* navMarker_;      // the panel used to show the arrow
+        Ogre::TextAreaOverlayElement* navText_;     // displaying distance
+        Ogre::Camera* navCam_;
+        Vector3 navCamPos_;                         // position of ship
+        Vector3 currentDir_;
+        Vector3 currentOrth_;
+        int windowW_, windowH_;
+        void init();
+        void updateMarker();
 
-    	public:
-    		Navigation(Ogre::OverlayContainer* container);
-    		Navigation(Ogre::OverlayContainer* container, RadarObject* focus);
-    		~Navigation();
-			RadarObject* focus_;                        // next pointer of linked list
+      public:
+        Navigation(Ogre::OverlayContainer* container);
+        Navigation(Ogre::OverlayContainer* container, RadarObject* focus);
+        ~Navigation();
+        RadarObject* focus_;                        // next pointer of linked list
 
-    		void update();
-    		void cycleFocus();
-    		float getDist2Focus();
-	};
+        void update();
+        void cycleFocus();
+        float getDist2Focus();
+  };
 }
 
-#endif
+#endif /* _Navigation_H__ */
Index: /code/branches/network/src/orxonox/hud/OverlayElementFactories.h
===================================================================
--- /code/branches/network/src/orxonox/hud/OverlayElementFactories.h	(revision 1409)
+++ /code/branches/network/src/orxonox/hud/OverlayElementFactories.h	(revision 1410)
@@ -26,16 +26,19 @@
 */
 
-#ifndef _FACTORIES_H__
-#define _FACTORIES_H__
+#ifndef _OverlayElementFactories_H__
+#define _OverlayElementFactories_H__
 
+#include "OrxonoxPrereqs.h"
+
+#include <OgrePrerequisites.h>
 #include <OgreOverlayElement.h>
-#include <OgrePrerequisites.h>
 #include <OgreOverlayElementFactory.h>
 
 #include "BarOverlayElement.h"
+#include "RadarOverlayElement.h"
 
 namespace orxonox{
     class _OrxonoxExport BarOverlayElementFactory : public Ogre::OverlayElementFactory{
-        public:
+      public:
         Ogre::OverlayElement* createOverlayElement(const Ogre::String& instanceName){
             return new BarOverlayElement(instanceName);
@@ -48,5 +51,5 @@
 
     class _OrxonoxExport RadarOverlayElementFactory : public Ogre::OverlayElementFactory{
-        public:
+      public:
         Ogre::OverlayElement* createOverlayElement(const Ogre::String& instanceName){
             return new RadarOverlayElement(instanceName);
@@ -59,3 +62,3 @@
 }
 
-#endif
+#endif /* _OverlayElementFactories_H__ */
Index: /code/branches/network/src/orxonox/hud/RadarObject.cc
===================================================================
--- /code/branches/network/src/orxonox/hud/RadarObject.cc	(revision 1409)
+++ /code/branches/network/src/orxonox/hud/RadarObject.cc	(revision 1410)
@@ -29,5 +29,4 @@
 #include "RadarObject.h"
 
-#include <string.h>
 #include <OgreOverlayManager.h>
 #include <OgreStringConverter.h>
@@ -37,27 +36,27 @@
     using namespace Ogre;
 
-	int RadarObject::count = 0;		// initialize static variable
+    int RadarObject::count = 0;		// initialize static variable
 
-	RadarObject::RadarObject(OverlayContainer* container){
-		container_ = container;
-		pos_ = Vector3(0.0, 0.0, 0.0);
-		init();
-	}
+    RadarObject::RadarObject(OverlayContainer* container){
+        container_ = container;
+        pos_ = Vector3(0.0, 0.0, 0.0);
+        init();
+    }
 
-	RadarObject::RadarObject(OverlayContainer* container, Vector3 pos){
-		container_ = container;
-		pos_ = pos;
-		init();
-	}
+    RadarObject::RadarObject(OverlayContainer* container, Vector3 pos){
+        container_ = container;
+        pos_ = pos;
+        init();
+    }
 
-	RadarObject::~RadarObject(){}
+    RadarObject::~RadarObject(){}
 
-	void RadarObject::init(){
-	    next = NULL;
-		om = &OverlayManager::getSingleton();
-		panel_ = static_cast<PanelOverlayElement*>(om->createOverlayElement("Panel",
-			"Object"+StringConverter::toString(count)));
-		panel_->setMaterialName("Orxonox/RedDot");
-		panel_->setDimensions(3,3);
+    void RadarObject::init(){
+        next = NULL;
+        om = &OverlayManager::getSingleton();
+        panel_ = static_cast<PanelOverlayElement*>(om->createOverlayElement("Panel",
+          "Object"+StringConverter::toString(count)));
+        panel_->setMaterialName("Orxonox/RedDot");
+        panel_->setDimensions(3,3);
         panel_->setMetricsMode(Ogre::GMM_PIXELS);
         panel_->show();
@@ -65,4 +64,4 @@
         count++;
         container_->addChild(panel_);
-	}
+    }
 }
Index: /code/branches/network/src/orxonox/hud/RadarObject.h
===================================================================
--- /code/branches/network/src/orxonox/hud/RadarObject.h	(revision 1409)
+++ /code/branches/network/src/orxonox/hud/RadarObject.h	(revision 1410)
@@ -26,9 +26,11 @@
 */
 
-#ifndef _RADAR2_H__
-#define _RADAR2_H__
+#ifndef _RadarObject_H__
+#define _RadarObject_H__
+
+#include "OrxonoxPrereqs.h"
+
 #include <OgrePrerequisites.h>
 #include <OgrePanelOverlayElement.h>
-#include "../OrxonoxPrereqs.h"
 #include "util/Math.h"
 
@@ -37,23 +39,23 @@
     class _OrxonoxExport RadarObject
     {
-    	private:
-    		Ogre::OverlayManager* om;				// our one and only overlay manager
-    		void init();
+      private:
+        Ogre::OverlayManager* om;				// our one and only overlay manager
+        void init();
 
-    	public:
-    		RadarObject(Ogre::OverlayContainer* container);
-    		RadarObject(Ogre::OverlayContainer* container, Vector3 pos);
-    		~RadarObject();
+      public:
+        RadarObject(Ogre::OverlayContainer* container);
+        RadarObject(Ogre::OverlayContainer* container, Vector3 pos);
+        ~RadarObject();
 
-            bool right_;
-            int index_;                             // index number of object
-    		Vector3 pos_;							// position in space
-			Ogre::OverlayContainer* container_;
-			Ogre::PanelOverlayElement* panel_;		// the panel used to show the dot
-			RadarObject* next;                      // next pointer of linked list
+        bool right_;
+        int index_;                             // index number of object
+        Vector3 pos_;							// position in space
+        Ogre::OverlayContainer* container_;
+        Ogre::PanelOverlayElement* panel_;		// the panel used to show the dot
+        RadarObject* next;                      // next pointer of linked list
 
-    		static int count;
-	};
+        static int count;
+  };
 }
 
-#endif
+#endif /* _RadarObject_H__ */
Index: /code/branches/network/src/orxonox/hud/RadarOverlayElement.cc
===================================================================
--- /code/branches/network/src/orxonox/hud/RadarOverlayElement.cc	(revision 1409)
+++ /code/branches/network/src/orxonox/hud/RadarOverlayElement.cc	(revision 1410)
@@ -29,8 +29,7 @@
 #include "RadarOverlayElement.h"
 
-#include <string.h>
+#include <string>
 #include <OgreOverlayManager.h>
 #include <OgreStringConverter.h>
-#include <OgrePanelOverlayElement.h>
 
 #include "GraphicsEngine.h"
@@ -38,9 +37,9 @@
 #include "core/ConsoleCommand.h"
 #include "objects/SpaceShip.h"
+#include "RadarObject.h"
 #include "HUD.h"
 
 namespace orxonox
 {
-
     using namespace Ogre;
 
@@ -53,5 +52,5 @@
     void RadarOverlayElement::init(Real leftRel, Real topRel, Real dimRel, OverlayContainer* container){
         // some initial data
-		om = &OverlayManager::getSingleton();
+        om = &OverlayManager::getSingleton();
         dimRel_ = dimRel;
         leftRel_ = leftRel;
@@ -80,9 +79,9 @@
         shipPos_ = SpaceShip::getLocalShip()->getPosition();
         currentDir_ = SpaceShip::getLocalShip()->getDir();
-		currentOrth_ = SpaceShip::getLocalShip()->getOrth();
+        currentOrth_ = SpaceShip::getLocalShip()->getOrth();
         RadarObject* ro = HUD::getSingleton().getFirstRadarObject();
         // iterate through all RadarObjects
-		while(ro != NULL){
-		    // calc position on radar...
+        while(ro != NULL){
+        // calc position on radar...
             float radius = calcRadius(shipPos_, currentDir_, currentOrth_, ro);
             float phi = calcPhi(shipPos_, currentDir_, currentOrth_, ro);
@@ -105,35 +104,35 @@
             }
             ro = ro->next;
-		}
+        }
     }
 
-	void RadarOverlayElement::listObjects(){
-	    int i = 0;
-	    RadarObject* ro = HUD::getSingleton().getFirstRadarObject();
-	    COUT(3) << "List of RadarObjects:\n";
-	    // iterate through all Radar Objects
-	    while(ro != NULL) {
-	        COUT(3) << i++ << ": " << ro->pos_ << std::endl;
-	        ro = ro->next;
-	    }
-	}
+    void RadarOverlayElement::listObjects(){
+        int i = 0;
+        RadarObject* ro = HUD::getSingleton().getFirstRadarObject();
+        COUT(3) << "List of RadarObjects:\n";
+        // iterate through all Radar Objects
+        while(ro != NULL) {
+            COUT(3) << i++ << ": " << ro->pos_ << std::endl;
+            ro = ro->next;
+        }
+    }
 
-	float RadarOverlayElement::calcRadius(Vector3 pos, Vector3 dir, Vector3 orth, RadarObject* obj){
-	    return(acos((dir.dotProduct(obj->pos_ - pos))/
-			((obj->pos_ - pos).length()*dir.length())));
-	}
+    float RadarOverlayElement::calcRadius(Vector3 pos, Vector3 dir, Vector3 orth, RadarObject* obj){
+        return(acos((dir.dotProduct(obj->pos_ - pos))/
+        ((obj->pos_ - pos).length()*dir.length())));
+    }
 
-	float RadarOverlayElement::calcPhi(Vector3 pos, Vector3 dir, Vector3 orth, RadarObject* obj){
-	    // project difference vector on our plane...
-	    Vector3 proj = Plane(dir, pos).projectVector(obj->pos_ - pos);
-	    // ...and find out the angle
-	    return(acos((orth.dotProduct(proj))/
-            (orth.length()*proj.length())));
-	}
+    float RadarOverlayElement::calcPhi(Vector3 pos, Vector3 dir, Vector3 orth, RadarObject* obj){
+        // project difference vector on our plane...
+        Vector3 proj = Plane(dir, pos).projectVector(obj->pos_ - pos);
+        // ...and find out the angle
+        return(acos((orth.dotProduct(proj))/
+              (orth.length()*proj.length())));
+    }
 
-	bool RadarOverlayElement::calcRight(Vector3 pos, Vector3 dir, Vector3 orth, RadarObject* obj){
-	    if((dir.crossProduct(orth)).dotProduct(obj->pos_ - pos) > 0)
-        	return true;
+    bool RadarOverlayElement::calcRight(Vector3 pos, Vector3 dir, Vector3 orth, RadarObject* obj){
+        if((dir.crossProduct(orth)).dotProduct(obj->pos_ - pos) > 0)
+            return true;
         else return false;
-	}
+    }
 }
Index: /code/branches/network/src/orxonox/hud/RadarOverlayElement.h
===================================================================
--- /code/branches/network/src/orxonox/hud/RadarOverlayElement.h	(revision 1409)
+++ /code/branches/network/src/orxonox/hud/RadarOverlayElement.h	(revision 1410)
@@ -26,12 +26,12 @@
 */
 
-#ifndef _RADAR_H__
-#define _RADAR_H__
+#ifndef _RadarOverlayElement_H__
+#define _RadarOverlayElement_H__
 
-#include <util/Math.h>
+#include "OrxonoxPrereqs.h"
+
 #include <OgrePrerequisites.h>
 #include <OgrePanelOverlayElement.h>
-#include "../OrxonoxPrereqs.h"
-#include "RadarObject.h"
+#include "util/Math.h"
 
 namespace orxonox
@@ -39,28 +39,28 @@
     class _OrxonoxExport RadarOverlayElement : public Ogre::PanelOverlayElement
     {
-        private:
-            Ogre::OverlayManager* om;               // our one and only overlay manager
-            Ogre::OverlayContainer* container_;     // pointer to the container we're in
-            Vector3 currentDir_;
-            Vector3 currentOrth_;
-            Vector3 shipPos_;                       // position of ship
+      private:
+        Ogre::OverlayManager* om;               // our one and only overlay manager
+        Ogre::OverlayContainer* container_;     // pointer to the container we're in
+        Vector3 currentDir_;
+        Vector3 currentOrth_;
+        Vector3 shipPos_;                       // position of ship
 
-            Ogre::Real leftRel_, topRel_, dimRel_;  // relative position/dimension
-            int left_, top_, dim_;                  // absolute position/dimension
-            int windowW_, windowH_;             	// absolute window dimensions
+        Ogre::Real leftRel_, topRel_, dimRel_;  // relative position/dimension
+        int left_, top_, dim_;                  // absolute position/dimension
+        int windowW_, windowH_;             	  // absolute window dimensions
 
-        public:
-            RadarOverlayElement(const Ogre::String& name);
-            ~RadarOverlayElement();
-            void init(Real leftRel, Real topRel, Real dimRel, Ogre::OverlayContainer* container);
-			void resize();
-            void update();
-            void listObjects();
+      public:
+        RadarOverlayElement(const Ogre::String& name);
+        ~RadarOverlayElement();
+        void init(Real leftRel, Real topRel, Real dimRel, Ogre::OverlayContainer* container);
+        void resize();
+        void update();
+        void listObjects();
 
-            static float calcRadius(Vector3 pos, Vector3 dir, Vector3 orth, RadarObject* obj);
-            static float calcPhi(Vector3 pos, Vector3 dir, Vector3 orth, RadarObject* obj);
-            static bool calcRight(Vector3 pos, Vector3 dir, Vector3 orth, RadarObject* obj);
-	};
+        static float calcRadius(Vector3 pos, Vector3 dir, Vector3 orth, RadarObject* obj);
+        static float calcPhi(Vector3 pos, Vector3 dir, Vector3 orth, RadarObject* obj);
+        static bool calcRight(Vector3 pos, Vector3 dir, Vector3 orth, RadarObject* obj);
+  };
 }
 
-#endif
+#endif /* _RadarOverlayElement_H__ */
Index: /code/branches/network/visual_studio/vc8/orxonox.vcproj
===================================================================
--- /code/branches/network/visual_studio/vc8/orxonox.vcproj	(revision 1409)
+++ /code/branches/network/visual_studio/vc8/orxonox.vcproj	(revision 1410)
@@ -196,4 +196,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\hud\Navigation.cc"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\hud\RadarObject.cc"
 					>
@@ -467,4 +471,8 @@
 				<File
 					RelativePath="..\..\src\orxonox\hud\HUD.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\hud\Navigation.h"
 					>
 				</File>