Index: code/branches/network/bin/def_keybindings.ini
===================================================================
--- code/branches/network/bin/def_keybindings.ini	(revision 1417)
+++ code/branches/network/bin/def_keybindings.ini	(revision 1418)
Index: code/branches/network/src/network/Synchronisable.cc
===================================================================
--- code/branches/network/src/network/Synchronisable.cc	(revision 1417)
+++ code/branches/network/src/network/Synchronisable.cc	(revision 1418)
@@ -66,4 +66,9 @@
 
   Synchronisable::~Synchronisable(){
+  }
+  
+  bool Synchronisable::create(){
+    this->classID = this->getIdentifier()->getNetworkID();
+    return true;
   }
   
Index: code/branches/network/src/network/Synchronisable.h
===================================================================
--- code/branches/network/src/network/Synchronisable.h	(revision 1417)
+++ code/branches/network/src/network/Synchronisable.h	(revision 1418)
@@ -89,5 +89,5 @@
     bool getBacksync();
     virtual void registerAllVariables()=0;
-    virtual bool create()=0;
+    virtual bool create();
     static void setClient(bool b);
   protected:
Index: code/branches/network/src/orxonox/objects/Ambient.cc
===================================================================
--- code/branches/network/src/orxonox/objects/Ambient.cc	(revision 1417)
+++ code/branches/network/src/orxonox/objects/Ambient.cc	(revision 1418)
@@ -66,5 +66,5 @@
     bool Ambient::create(){
       GraphicsEngine::getSingleton().getSceneManager()->setAmbientLight(ambientLight_);
-      return true;
+      return Synchronisable::create();
     }
     
Index: code/branches/network/src/orxonox/objects/Projectile.cc
===================================================================
--- code/branches/network/src/orxonox/objects/Projectile.cc	(revision 1417)
+++ code/branches/network/src/orxonox/objects/Projectile.cc	(revision 1418)
@@ -63,5 +63,4 @@
 
         this->destroyTimer_.setTimer(this->lifetime_, false, this, createExecutor(createFunctor(&Projectile::destroyObject)));
-        this->classID = this->getIdentifier()->getNetworkID(); // TODO: remove this hack
 //        COUT(3) << this->classID << std::endl;
     }
Index: code/branches/network/src/orxonox/objects/Skybox.cc
===================================================================
--- code/branches/network/src/orxonox/objects/Skybox.cc	(revision 1417)
+++ code/branches/network/src/orxonox/objects/Skybox.cc	(revision 1418)
@@ -90,5 +90,5 @@
     bool Skybox::create(){
       this->setSkybox(skyboxSrc_);
-      return true;
+      return Synchronisable::create();
     }
     
Index: code/branches/network/src/orxonox/objects/WorldEntity.h
===================================================================
--- code/branches/network/src/orxonox/objects/WorldEntity.h	(revision 1417)
+++ code/branches/network/src/orxonox/objects/WorldEntity.h	(revision 1418)
@@ -53,5 +53,5 @@
             virtual void loadParams(TiXmlElement* xmlElem);
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            inline bool create(){ return true; }
+            inline bool create(){ return Synchronisable::create(); }
 
             void attachWorldEntity(WorldEntity* entity);
Index: code/branches/network/src/orxonox/objects/weapon/AmmunitionDump.h
===================================================================
--- code/branches/network/src/orxonox/objects/weapon/AmmunitionDump.h	(revision 1417)
+++ code/branches/network/src/orxonox/objects/weapon/AmmunitionDump.h	(revision 1418)
@@ -60,5 +60,5 @@
 
   protected:
-    inline bool create() { return true; }
+    inline bool create() { return Synchronisable::create(); }
     void registerAllVariables();
 
Index: code/branches/network/src/orxonox/objects/weapon/BulletManager.h
===================================================================
--- code/branches/network/src/orxonox/objects/weapon/BulletManager.h	(revision 1417)
+++ code/branches/network/src/orxonox/objects/weapon/BulletManager.h	(revision 1418)
@@ -60,5 +60,5 @@
 
   protected:
-    inline bool create() { return true; }
+    inline bool create() { return Synchronisable::create(); }
     void registerAllVariables();
 